termux metasploit bundle error solution - noob-hackers

breaking

Monday, 21 January 2019

termux metasploit bundle error solution

termux metasploit bundle error solution- Hi guys if you are searching for the termux metasploit bundle error solution and searching for a best article to get the best explanation about termux metasploit bundle error solution then. You are At Right Place.

Today im here going to share solutin of Termux metasploit bundle error. That by this article "termux metasploit bundle error solution" you can solve this issue easyli without getting confused. And im damn sure that you will never get all these unique information like us on the internet anywhere else.

termux metasploit bundle error solution

termux metasploit bundle error solution


termux metasploit bundle error solution


Oh, guys first I would like to say bad news that is ...Now bundler 2.0.0 which is updated on January 4, 2019, in gems.org official website now gems is not compatible with Termux distribution. So that's why Metasploit in Termux is not working... And the good news is, you can use Metasploit by solving the simple issue but don't worry when I'm here then there is no place for common issues... So if you like to solve Metasploit gems/bundle error and use Metasploit without any problem then follow below methods...

# 1st Method Gem Error Fix

1. First, remove Metasploit framework from Termux or delete and install Termux newly...ok

 Open Termux and apply these commands

$ apt-get update

$ apt-get upgrade

$ pkg install python

$ pkg install python2

$ pkg install wget

$ pkg install ruby

$ wget https://Auxilus.github.io/metasploit.sh

$ ls

$ chmod +x metasploit.sh

$ ./metasploit.sh

Now, here wait for at least 20 minutes because the installation process may take a long time....

2. After, that open a new session and apply these commands.

$ ls

$ cd metasploit-framework

$ ls

$ gem install bundler -v 1.17.1

Now, wait here also at least 40 minutes because the gem installation need more time to install...

3. After the installation of bundler finishes ...just apply this command in the same session

$ bundle install

Now, wait until the installation gets finished....After that just apply this command

$ msfconsole

Now your Metasploit has been started..Wow...now use it :)

# 2nd Method Gem Error Fix

1. Remove Metasploit complete framework from your termux application and follow these commands...Make sure that you have 500 MB of data and 1 GB of internal storage before entering the process.

Now, open Termux application and apply these commands

$ apt-get update

$ apt-get upgrade

$ pkg install wget

$ pkg install ruby

$ pkg install python

$ pkg install python2

$ wget https://Auxilus.github.io/metasploit.sh

$ ls

$ ./metasploit.sh

Now here wait for at least 30 minutes this process can take a long time to complete so wait for it...

$ ls

$ cd metasploit-framework

$ ls

$ gem update --system

Now, wait here until the gems get updated. It hardly takes 30 minutes so wait for it and after all the process completes just follow below steps

$ ls

$ bundle install

Now here also you need to wait for some time...after that

$ ./msfconsole

Yup...wow it worked now wait for Metasploit to start....after that you can use Metasploit as you wish.

If you are still confused then i think you need to watch this tutorial video....


Final words

      So guys thanks for visiting our blog. I hope you find our article "termux metasploit bundle error solution" helpful for you please do share and comment your thought about this article and keep visiting to get hacking and gaming and lot more tools and news for free. thank you!

No comments:

Post a Comment